#ifndef DVR_H
#define DVR_H

#include <gst/gst.h>

class DVR {
  protected:
    int width, height;
    int framerate;
    char *video_filename;
    char *device_filename;
    GstElement *video_codec;
    GstElement *audio_codec;

    bool started;
    bool ended;
    pthread_t thread_gst;

    GMainContext *context;
    GMainLoop *loop;
    GstElement *pipeline,
               *video_source,
               *audio_source,
               *video_convert,
               *video_rate,
               *video_filter,
               *avimux,
               *file_output;

    GstCaps *filter_rgb, *filter_yuv;

    
  public:
    DVR();
    ~DVR();

    void setImageSize(int width, int height);
    void setFrameRate(int framerate);
    void setDeviceFileName(const char *device_filename);
    void setVideoFileName(const char *video_filename);
    void setVideoCodec(GstElement *element);
    void setAudioCodec(GstElement *element);
    bool start();
    bool stop();
    bool isStarted();
    bool isEnded();

    static void *run(void *data);

  protected:
    GstElement *cloneGstElement(GstElement *src, const char *name);
};

#endif
