/*
   DVR, a Digital video Recorder for Linux.
   
   Copyright (C) 2001-2007 Pierre Hebert <pierrox@pierrox.net>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this program; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

 */

#include <gst/gst.h>
#include <qlistbox.h>

#include "qlistbox_codec.h"

QListBoxCodec::QListBoxCodec(QListBox *listbox, const QString &text, const char *_factory_name) : 
  QListBoxText(listbox, text+" ("+_factory_name+")"), factory_name(_factory_name) 
{
  element=gst_element_factory_make(factory_name, NULL);
}

QListBoxCodec::~QListBoxCodec() {
  gst_object_unref(element);
}
