/*
   DVR, a Digital video Recorder for Linux.
   
   Copyright (C) 2001-2007 Pierre Hebert <pierrox@pierrox.net>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this program; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

 */

#include <qlineedit.h>
#include <qfiledialog.h>
#include "tab_general.h"

TabGeneral::TabGeneral(QWidget *parent, const char *name) : UITabGeneral(parent, name) {}

TabGeneral::~TabGeneral() {}

QString TabGeneral::fileName() {
  return qle_filename->text();
}

void TabGeneral::browseFile() {
  QString filename=QFileDialog::getSaveFileName(qle_filename->text(), "avi file (*.avi)", this);
  if(!filename.isNull()) {
    qle_filename->setText(filename);
  }
}

